<input type="file" class="file-input" (change)="uploadBackground($event)" #fileUpload>
<div class="group-flexbox" *ngIf="group">
    <div class="image-banner">
        <img *ngIf="imageUrl" [src]="imageUrl">
    </div>
    <mat-card>
        <mat-card-header>
            <h1>{{group.name}}</h1>
        </mat-card-header>

        <mat-card-content>
            <p>{{group.description}}</p>
        </mat-card-content>
        <mat-card-actions>
            <div class="card-actions">
                <div>
                    <button mat-raised-button *ngIf="group.userStatus==1" (click)="editingGroup=true"
                        color="primary">Edit Description</button>
                </div>
                <button mat-raised-button *ngIf="group.userStatus==1" (click)="uploadBackground($event)" color="primary"
                    (click)="fileUpload.click()">Change Banner</button>
                <button mat-raised-button (click)="leaveGroup()" color="primary">Leave Group</button>
            </div>
        </mat-card-actions>
    </mat-card>

    <div class="list-container">
        <mat-list id="member-list">
            <h2 id="list-header">Members[{{group.numMembers}}]</h2>
            <mat-list-item *ngFor="let m of members">
                <div class="list-item">
                    <p style="">{{m.username}}</p>
                    <div *ngIf="group.userStatus==1 && m.userStatus==2">
                        <button mat-stroked-button (click)="modUser(m)">Mod</button>
                        <button mat-stroked-button (click)="kickUser(m.id,false)">Kick</button>
                    </div>
                </div>
            </mat-list-item>
        </mat-list>
    </div>
</div>

<div class="modal-background" *ngIf="editingGroup" [class.display-flex]="editingGroup">
    <div id="modal" *ngIf="group">
        <h1>Edit Group</h1><br />
        <mat-form-field appearance="standard">
            <mat-label>Name</mat-label>
            <input matInput id="edit-name" autocomplete="off" [value]="group.name" />
        </mat-form-field><br />

        <mat-form-field appearance="standard">
            <mat-label>Description</mat-label>
            <textarea matInput id="edit-desc" autocomplete="off" [value]="group.description"></textarea>
        </mat-form-field><br />

        <button mat-raised-button color="primary" (click)="editGroup()">Submit</button>
        <button mat-raised-button color="primary" (click)="editingGroup=false">Cancel</button>
    </div>
</div>